/*
 * 05/09/2000 - 19:04:02
 *
 * Question.java - L'objet question
 * Copyright (C) 2000 Romain Guy
 * guy.romain@bigfoot.com
 * www.chez.com/powerteam
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

import java.util.Vector;

/**
 * La classe grant les questions et sa rponse.
 */

public class Question
{
  // le vecteur contenant les choix possibles
  private Vector answers;
  // la question
  private String question;
  // la bonne rponse
  private String goodAnswer;

  /**
   * Constructeur.
   */

  public Question()
  {
    // on cre le vecteur des rponses
    answers = new Vector();
  }

  /**
   * Dfinit le libell de la question.
   */

  public void setQuestion(String question)
  {
    this.question = question;
  }

  /**
   * Renvoie le libell de la question.
   */

  public String getQuestion()
  {
    return question;
  }

  /**
   * Spficie l'ID de la bonne rponse.
   */

  public void setGoodAnswer(String answerID)
  {
    goodAnswer = answerID;
  }

  /**
   * Retourne vrai si la rponse propose est la bonne.
   */

  public boolean isGoodAnswer(String answer)
  {
    return goodAnswer.equalsIgnoreCase(answer);
  }

  /**
   * Ajoute une rponse possible  la liste.
   */

  public void addAnswer(Answer answer)
  {
    answers.addElement(answer);
  }

  /**
   * Retourn les rponses possibles.
   */

  public Answer[] getAnswers()
  {
    Answer[] _answers = new Answer[answers.size()];
    answers.copyInto(_answers);
    return _answers;
  }
}

// End of Question.java
