/*
 * 18:58:45 14/05/00
 *
 * QuestionPanel.java - Gre la liste de questions
 * Copyright (C) 2000 Romain Guy
 * guy.romain@bigfoot.com
 * www.chez.com/powerteam/jext
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

import java.awt.*;
import javax.swing.*;

/**
 * Un panneau qui permet d'afficher de faon pratique une liste de questions.
 */

public class QuestionPanel extends JPanel
{
  // le groupe de boutons
  private ButtonGroup group;
  // la question
  private JLabel question;

  // gui
  protected int y = 0;
  protected GridBagLayout gridBag;

  public QuestionPanel()
  {
    super();

    setLayout(gridBag = new GridBagLayout());

    addComponent(question = new JLabel());
    group = new ButtonGroup();
  }

  /**
   * Efface tout
   */

  public void reset()
  {
    question.setText("");
    group = new ButtonGroup();
    removeAll();
    addComponent(question);
  }

  /**
   * Dfinit le libell de la question
   */

  public void setQuestion(String question)
  {
    this.question.setText(question);
  }

  /**
   * Ajoute une rponse  la liste
   */

  public void addChoosableItem(String ID, String text)
  {
    JRadioButton radio = new JRadioButton(text);
    radio.setModel(new AnswerModel(ID));
    group.add(radio);
    addComponent(radio);
  }

  /**
   * Retourne l'ID de la question slectionne
   */

  public String getSelectedAnswer()
  {
    AnswerModel model = (AnswerModel) group.getSelection();
    if (model == null)
      return null;
    else
      return model.getID();
  }

  /**
   * Ajoute un composant au panneau.
   */

  protected void addComponent(Component comp)
  {
    GridBagConstraints cons = new GridBagConstraints();
    cons.gridy = y++;
    cons.gridheight = 1;
    cons.gridwidth = cons.REMAINDER;
    cons.fill = GridBagConstraints.NONE;
    cons.anchor = GridBagConstraints.WEST;
    cons.weightx = 1.0f;

    gridBag.setConstraints(comp, cons);
    add(comp);
  }

  /**
   * Cette classe permet d'attribuer une ID  chaque bouton rponse
   */

  class AnswerModel extends JToggleButton.ToggleButtonModel
  {
    private String ID;

    AnswerModel(String ID)
    {
      super();
      this.ID = ID;
    }

    public String getID()
    {
      return ID;
    }
  }
}

// End of QuestionPanel.java
