/*
 * QuestionSet.java - Classe test
 * Copyright (C) 2000 Romain Guy
 * guy.romain@bigfoot.com
 * http://www.chez.com/powerteam
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

import java.util.Vector;

import java.io.IOException;
import java.io.BufferedReader;
import java.io.InputStreamReader;

public class QuestionSet
{
  // pour faciliter la lecture de System.in
  private static final BufferedReader in = new BufferedReader(new InputStreamReader(System.in));

  public static void main(String args[])
  {
    // on rcupre les questions cres
    Vector questionsSet = QuestionSetReader.read(
                          QuestionSet.class.getResourceAsStream("questions.xml"),
                          "questions.xml");

    // un point par bonne rponse
    int points = 0;
    StringBuffer lineBuf = new StringBuffer(40);
    for (int i = 0; i < 40; i++)
      lineBuf.append('_');

    try  // pour le in.readLine();
    {
      // pour chaque question
      for (int i = 0; i < questionsSet.size(); i++)
      {
        // on prend une question
        Question question = (Question) questionsSet.elementAt(i);
        // on l'affiche
        System.out.println("Question " + (i + 1) + "\n" + lineBuf + '\n');
        System.out.println(question.getQuestion() + '\n');

        // on prend les rponses
        Answer[] answers = question.getAnswers();
        // on les affiche
        for (int j = 0; j < answers.length; j++)
          System.out.println(answers[j].getAnswerID() + ". " + answers[j].getAnswer());

        // on prend la rponse de l'utilisateur
        System.out.print("\nVotre rponse: ");
        String answer = in.readLine();

        // est-elle bonne ?
        if (question.isGoodAnswer(answer))
        {
          // oui
          System.out.println("\nYeah ! Bonne rponse !!\n");
          // hop ! un point de plus !
          points++;
        } else // hlas non :((
          System.out.println("\nJeez... mauvais rponse !\n");
      }
    } catch (IOException ioe) { }

    System.out.println("Total: " + points + " bonnes rponses sur " + questionsSet.size() +
                       '\n' + lineBuf);
    System.exit(0);
  }
}

// End of QuestionSet.java
