/*
 * 05/09/2000 - 18:43:39
 *
 * QuestionSetReader.java - Lit un fichier XML
 * Copyright (C) 1999 Romain Guy
 * www.chez.com/powerteam
 * powerteam@chez.com
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

import java.io.*;
import java.util.Vector;

import com.microstar.xml.*;

public class QuestionSetReader
{
  public static Vector read(InputStream fileName, String file)
  {
    InputStreamReader reader = new InputStreamReader(fileName);
    QuestionSetHandler qsh = new QuestionSetHandler();
    XmlParser parser = new XmlParser();
    parser.setHandler(qsh);

    try
    {
      parser.parse(QuestionSetReader.class.getResource("question-set.dtd").toString(),
                   null, reader);
    } catch (XmlException e) {
      System.err.println("XQuestions: Erreur dans le fichier  " + fileName);
      System.err.println("XQuestions: Erreur a eue lieue  la ligne " + e.getLine() +
                         ", colonne " + e.getColumn());
      System.err.println("XQuestions: " + e.getMessage());
      return null;
    } catch (Exception e) {
      // Should NEVER happend !
      e.printStackTrace();
      return null;
    }

    try
    {
      fileName.close();
      reader.close();
    } catch (IOException ioe) { }

    return qsh.getQuestionsSet();
  }
}

// End of QuestionSetReader.java
