/*
 * NetworkListener.java - The Caffeine client network listener
 * Copyright (C) 1999 Romain Guy
 * powerteam@chez.com
 * http://www.chez.com/powerteam
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package com.chez.powerteam.caffeine.event;

/**
 * This listener receive command events which
 * are fired by CaffeineClient.
 * @author Romain Guy
 */

public interface NetworkListener
{
  /**
   * Any class implemeting this will receive all the
   * messages from the server in this method. The Object
   * is generated by the filters.
   * @param evt The <code>NetworkEvent</code> received from server
   */

  public abstract void networkEvent(NetworkEvent evt);
}

// End of NetworkListener.java
