/*
 * CaffeineFilter.java - An Object filter for Caffeine
 * Copyright (C) 1999 Romain Guy
 * powerteam@chez.com
 * http://www.chez.com/powerteam
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package com.chez.powerteam.caffeine.filter;

public interface CaffeineFilter
{
  /**
   * Filter the object. This method is supposed to turn the String into an object
   * which can be used by the application.
   * @param s The <code>String</code> which has to be converted into an object
   */

  public abstract void filterIn(String s);

  /**
   * Filter the object. This method is supposed to turn the object in argument
   * into a String which can be sent through a network.
   * @param o The <code>Object</code> which <code>String</code> description has to be
   * sent to server.
   */

  public abstract void filterOut(Object o);
}

// End of CaffeineFilter.java
